<?php
    if ($_POST['tarea'] !== "" && is_file('../../../usuarios/'.$_COOKIE['usuario'].'.txt') == true) {
        $tareas = [];
        $ULTIMO_ID = 0;
        if($_SERVER['SERVER_NAME'] == 'host.ciberweb.com' && $_SERVER['HTTPS'] == 'on' && is_file('./listas/'.$_COOKIE['usuario'].'.txt') == true){
            $tareas = json_decode(file_get_contents('./tareas/'.$_COOKIE['usuario'].'.txt'), true);
            if(is_file('./listas/'.$_COOKIE['usuario'].'.txt') == true){
                $ULTIMO_ID = file_get_contents('./tareas/ULTIMO_ID_'.$_COOKIE['usuario'].'.txt');
            }
        }
        $tareas[++$ULTIMO_ID] = [$_POST['tarea'], 1];
        file_put_contents('./tareas/'.$_COOKIE['usuario'].'.txt', json_encode($tareas));
        file_put_contents('./tareas/ULTIMO_ID_'.$_COOKIE['usuario'].'.txt', $ULTIMO_ID);
        echo $ULTIMO_ID;
    } else {
        echo -1;
    }
?>